Loading...
Searching...
No Matches
Ui::CScreenLevelList Class Reference
Inheritance diagram for Ui::CScreenLevelList:
[legend]

## Public Member Functions

| CScreenLevelList (Ui::CMainDialog *mainDialog)
void | SetLevelCategory (LevelCategory category)
void | CreateInterface () override
bool | EventProcess (const Event &event) override
void | SetSelection (LevelCategory category, int chap, int rank)
bool | GetSceneSoluce ()
bool | GetPlusTrainer ()
bool | GetPlusResearch ()
bool | GetPlusExplorer ()
void | AllMissionUpdate ()
void | ShowSoluceUpdate ()
void | UpdateChapterPassed ()
void | NextMission ()
void | UpdateCustomLevelList ()
std::string | GetCustomLevelName (int id)
const std::vector< std::string > & | GetCustomLevelList ()

## Protected Member Functions

void | UpdateSceneChap (int &chap)
void | UpdateSceneList (int chap, int &sel)
void | UpdateSceneResume (int chap, int rank)
Protected Member Functions inherited from Ui::CScreen
void | CreateVersionDisplay ()
void | SetBackground (const std::string &filename, bool scaled=false)

## Protected Attributes

Ui::CMainDialog * | m_dialog
LevelCategory | m_category
bool | m_sceneSoluce
bool | m_plusTrainer
bool | m_plusResearch
bool | m_plusExplorer
std::map< LevelCategory, int > | m_chap
std::map< LevelCategory, int > | m_sel
int | m_maxList
std::vector< std::string > | m_customLevelList
int | m_accessChap
Protected Attributes inherited from Ui::CScreen
CRobotMain * | m_main
CInterface * | m_interface
CApplication * | m_app
CEventQueue * | m_eventQueue
Gfx::CEngine * | m_engine
CSoundInterface * | m_sound
const Math::Point | dim = Math::Point(32.0f/640.0f, 32.0f/480.0f)
const float | ox = 3.0f/640.0f
const float | oy = 3.0f/480.0f
const float | sx = (32.0f+2.0f)/640.0f
const float | sy = (32.0f+2.0f)/480.0f

## Member Function Documentation

## CreateInterface()

void Ui::CScreenLevelList::CreateInterface | ( |  | ) |

override virtual

Implements Ui::CScreen.

## EventProcess()

bool Ui::CScreenLevelList::EventProcess | ( | const Event & | event | ) |

override virtual

Implements Ui::CScreen.

The documentation for this class was generated from the following files:

- src/ui/screen/screen_level_list.h
- src/ui/screen/screen_level_list.cpp